### Enumeration

# Gtk WrapMode

since: 4.0

#### Declaration

    enum Gtk.WrapMode

#### Description [src]

Describes a type of line wrapping.

Available since: 4.0

#### Members

`GTK_WRAP_NONE`

  Do not wrap lines; just make the text area wider.

  - Value: `0`
  - Nickname: `none`
  - Available since: 4.0
`GTK_WRAP_CHAR`

  Wrap text, breaking lines anywhere the cursor can appear (between characters, usually - if you want to be technical, between graphemes, see pango_get_log_attrs())

  - Value: `1`
  - Nickname: `char`
  - Available since: 4.0
`GTK_WRAP_WORD`

  Wrap text, breaking lines in between words.

  - Value: `2`
  - Nickname: `word`
  - Available since: 4.0
`GTK_WRAP_WORD_CHAR`

  Wrap text, breaking lines in between words, or if that is not enough, also between graphemes.

  - Value: `3`
  - Nickname: `word-char`
  - Available since: 4.0